List files
Needs: Prospects, Read
Lists a prospect's folders and files: file ids, names, types, sizes and attached form submission ids. Storage paths are not exposed.
curl -X GET "https://app.imploy.com.au/api/integrations/v1/prospects/123/files" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://app.imploy.com.au/api/integrations/v1/prospects/123/files"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://app.imploy.com.au/api/integrations/v1/prospects/123/files", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://app.imploy.com.au/api/integrations/v1/prospects/123/files", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.imploy.com.au/api/integrations/v1/prospects/123/files')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"folders": [
{
"id": 1,
"name": "Referral",
"parent_id": null
}
],
"data": [
{
"id": 6,
"name": "Referral letter",
"filename": "referral.pdf",
"mime_type": "application/pdf",
"size": 48211,
"folder_id": 1,
"form_submission_id": null,
"download_path": "/api/web/v1/prospect/21/documents/6/download"
}
]
}
{
"message": "Invalid or expired access token."
}
{
"message": "Access token does not permit this action."
}
{
"message": "Too many requests."
}
GET
/prospects/{prospect_id}/filesGET
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredAn organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
An organisation access token that starts with
imp_at_. Send it as Authorization: Bearer imp_at_XXXX.path
prospect_idinteger
RequiredThe prospect id.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Path Parameters
prospect_idinteger
RequiredThe prospect id.
Responses
OK
Was this page helpful?